#include <gtk/gtk.h>

GtkWidget *window, *button;

void on_clicked(GtkButton *button, gpointer user_data) {
  gtk_window_set_title(GTK_WINDOW(window),"click");
}

gboolean on_delete(GtkWidget *widget, GdkEvent *event, gpointer user_data) {    
  gtk_main_quit();
  return TRUE;
}

void main(int argc, char *argv[]) {
  gtk_init (&argc, &argv);

  window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_window_set_title(GTK_WINDOW(window),"hello");
  button = gtk_button_new_with_label("button");

  gtk_widget_show(button);
  gtk_container_add(GTK_CONTAINER(window),button);
  gtk_container_set_border_width(GTK_CONTAINER(button),5);
  gtk_signal_connect(GTK_OBJECT(button),"clicked",
                     GTK_SIGNAL_FUNC(on_clicked),NULL);
  gtk_signal_connect(GTK_OBJECT(window), "delete_event",
                     GTK_SIGNAL_FUNC(on_delete),NULL);
  gtk_widget_show(window);
  gtk_main();
}
