#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"

void on_button1_clicked(GtkButton *button, gpointer user_data) {
  GtkEntry *entry1 = (GtkEntry*)lookup_widget((GtkWidget*)button,"entry1");
  if (entry1) gtk_entry_set_text(entry1,"button 1");
}

void on_button2_clicked (GtkButton *button, gpointer user_data) {
  GtkEntry *entry1 = (GtkEntry*)lookup_widget((GtkWidget*)button,"entry1");
  if (entry1) gtk_entry_set_text(entry1,"button 2");
}

void on_radiobutton1_clicked (GtkButton *button, gpointer user_data) {
  GtkEntry *entry1 = (GtkEntry*)lookup_widget((GtkWidget*)button,"entry1");
  if (entry1) gtk_entry_set_text(entry1,"radio:1");
}

void on_checkbutton1_toggled (GtkToggleButton *togglebutton, gpointer user_data) {
  GtkEntry *entry1 = (GtkEntry*)lookup_widget((GtkWidget*)togglebutton,"entry1");
  if (entry1) 
    if (gtk_toggle_button_get_active(togglebutton))
      gtk_entry_set_text(entry1,"checkbutton:on");
    else
      gtk_entry_set_text(entry1,"checkbutton:off");
}

void on_radiobutton2_clicked (GtkButton *button, gpointer user_data) {
  GtkEntry *entry1 = (GtkEntry*)lookup_widget((GtkWidget*)button,"entry1");
  if (entry1) gtk_entry_set_text(entry1,"radio:2");
}

void on_radiobutton3_clicked (GtkButton *button, gpointer user_data) {
  GtkEntry *entry1 = (GtkEntry*)lookup_widget((GtkWidget*)button,"entry1");
  if (entry1) gtk_entry_set_text(entry1,"radio:3");
}

gboolean on_window1_delete_event (GtkWidget *widget, GdkEvent *event, gpointer user_data) {
  gtk_main_quit();
  return TRUE;
}
